"use strict";
/**
 * Copyright (c) 2022 Amorphous
 *
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.preprocessString = void 0;
const pipe_1 = require("../../tools/pipe");
const comments_1 = require("./plugins/comments");
const trim_1 = require("./plugins/trim");
const preprocessString = (raw) => {
    return (0, pipe_1.pipe)(raw, [trim_1.parseTrimLines, comments_1.parseComments]);
};
exports.preprocessString = preprocessString;
